// Copyright (C) 2023  Aravinth Manivannan <realaravinth@batsense.net>
// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: MIT

//! Label associated to an issue or a comment

use serde::{Deserialize, Serialize};

/// Label associated to an issue or a comment
#[derive(Clone, Debug, Serialize, Deserialize, Default, Eq, PartialEq)]
pub struct Label {
    /// Unique identifier of the label
    pub index: usize,

    /// Name of the label, unique within the repository
    pub name: String,

    /// Color code of the label
    pub color: String,

    /// Long, multi-line description
    pub description: Option<String>,
}
