// Copyright (C) 2023  Aravinth Manivannan <realaravinth@batsense.net>
// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: MIT

//! Reaction associated to an issue or a comment
use serde::{Deserialize, Serialize};

/// Reaction associated to an issue or a comment
#[derive(Clone, Debug, Serialize, Deserialize, Default, Eq, PartialEq)]
pub struct Reaction {
    /// Unique identifier of the reaction
    pub index: usize,

    /// Unique identifier of the user who authored the reaction
    pub user_id: String,

    /// Representation of the reaction
    pub content: String,
}
