// Copyright (C) 2023  Aravinth Manivannan <realaravinth@batsense.net>
// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: MIT

//! A list of categories associated with a project.
use serde::{Deserialize, Serialize};

/// A list of categories associated with a project.
#[derive(Clone, Debug, Serialize, Deserialize, Default, Eq, PartialEq)]
pub struct Topic {
    /// Unique identifier of the topic
    pub index: usize,

    /// Name of the category the project belongs to
    pub name: String,
}
